{"models":[{"endpoint_id":"fal-ai/pixverse/v5/transition","metadata":{"display_name":"PixVerse V5 Transition","category":"image-to-video","description":"Create seamless transition between images using PixVerse v5","status":"active","tags":["stylized","transform"],"updated_at":"2026-10-20T22:14:02.752Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/gallery/pixverse-v3.5.webp","model_url":"https://fal.run/fal-ai/pixverse/v5/transition","license_type":"commercial","date":"2025-08-23T10:56:18.163Z","group":{"key":"pixverse-5","label":"Transition"},"highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/pixverse/v5/transition","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/pixverse/v5/transition queue.","x-fal-metadata":{"endpointId":"fal-ai/pixverse/v5/transition","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/gallery/pixverse-v3.5.webp","playgroundUrl":"https://fal.ai/models/fal-ai/pixverse/v5/transition","documentationUrl":"https://fal.ai/models/fal-ai/pixverse/v5/transition/api","about":"Create Transition V5"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"PixverseV5TransitionInput":{"x-fal-order-properties":["prompt","aspect_ratio","resolution","duration","negative_prompt","style","seed","first_image_url","end_image_url","enable_safety_checker"],"properties":{"duration":{"default":"5","description":"The duration of the generated video in seconds","type":"string","title":"Duration","enum":["5","8"]},"aspect_ratio":{"default":"16:9","description":"The aspect ratio of the generated video","type":"string","title":"Aspect Ratio","enum":["16:9","4:3","1:1","3:4","9:16"]},"enable_safety_checker":{"default":true,"type":"boolean","title":"Enable Safety Checker","description":"Authorized callers may set false to request relaxed screening."},"resolution":{"default":"720p","description":"The resolution of the generated video","type":"string","title":"Resolution","enum":["360p","540p","720p","1080p"]},"end_image_url":{"examples":["https://v3.fal.media/files/kangaroo/RgedFs_WSnq5BgER7qDx1_ONrbTJ1YAGXz-9JnSsBoB_bdc8750387734bfe940319f469f7b0b2.jpg"],"type":"string","title":"End Image Url","description":"URL of the image to use as the last frame"},"style":{"title":"Style","anyOf":[{"type":"string","enum":["anime","3d_animation","clay","comic","cyberpunk"]},{"type":"null"}],"description":"The style of the generated video"},"negative_prompt":{"default":"","examples":["blurry, low quality, low resolution, pixelated, noisy, grainy, out of focus, poorly lit, poorly exposed, poorly composed, poorly framed, poorly cropped, poorly color corrected, poorly color graded"],"type":"string","title":"Negative Prompt","description":"Negative prompt to be used for the generation. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap."},"prompt":{"examples":["Scene slowly transition into cat swimming under water"],"type":"string","title":"Prompt","description":"The prompt for the transition. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap."},"seed":{"title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}],"description":"\n            The same seed and the same prompt given to the same version of the model\n            will output the same video every time.\n        "},"first_image_url":{"examples":["https://v3.fal.media/files/zebra/owQh2DAzk8UU7J02nr5RY_Co2P4boLv6meIZ5t9gKvL_8685da151df343ab8bf82165c928e2a5.jpg"],"type":"string","title":"First Image Url","description":"URL of the image to use as the first frame"}},"required":["prompt","first_image_url","end_image_url"],"title":"TransitionRequest","type":"object"},"PixverseV5TransitionOutput":{"x-fal-order-properties":["video"],"properties":{"video":{"examples":[{"content_type":"video/mp4","file_name":"output.mp4","file_size":3890360,"url":"https://storage.googleapis.com/falserverless/model_tests/video_models/output-2.mp4"}],"$ref":"#/components/schemas/File","description":"The generated video"}},"required":["video"],"title":"TransitionOutputV5","type":"object"},"File":{"x-fal-order-properties":["url","content_type","file_name","file_size"],"properties":{"content_type":{"examples":["image/png"],"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file."},"url":{"type":"string","title":"Url","description":"The URL where the file can be downloaded from."},"file_size":{"examples":[4404019],"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes."},"file_name":{"examples":["z9RV14K95DvU.png"],"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided."}},"required":["url"],"title":"File","type":"object"}}},"paths":{"/fal-ai/pixverse/v5/transition/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v5/transition/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/pixverse/v5/transition":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV5TransitionInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v5/transition/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV5TransitionOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/ltx-video/image-to-video","metadata":{"display_name":"LTX Video (preview)","category":"image-to-video","description":"Generate videos from images using LTX Video 0.9.1","status":"active","tags":[],"updated_at":"2026-10-19T14:57:02.858Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/model_tests/cogvideox/panda.gif.gif","model_url":"https://fal.run/fal-ai/ltx-video/image-to-video","license_type":"research","date":"2024-11-21T00:00:00.000Z","group":{"key":"ltx-video","label":"Image to Video"},"highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/ltx-video/image-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/ltx-video/image-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/ltx-video/image-to-video","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/model_tests/cogvideox/panda.gif.gif","playgroundUrl":"https://fal.ai/models/fal-ai/ltx-video/image-to-video","documentationUrl":"https://fal.ai/models/fal-ai/ltx-video/image-to-video/api","about":"LTX Video - Image to Video generation\n\nSee examples for more inspiration. Use the `image_url` parameter to provide an image to generate the video from. Make sure it is 768x512.\n\n### Instructions\nWhen writing prompts, focus on detailed, chronological descriptions of actions and scenes. Include specific movements,\nappearances, camera angles, and environmental details - all in a single flowing paragraph. Start directly with the action,\nand keep descriptions literal and precise. Think like a cinematographer describing a shot list. Keep within 200 words. For\nbest results, build your prompts using this structure:\n* Start with main action in a single sentence\n* Add specific details about movements and gestures\n* Describe character/object appearances precisely\n* Include background and environment details\n* Specify camera angles and movements\n* Describe lighting and colors\n* Note any changes or sudden events\n\n### Parameter Guide\n* Guidance Scale: Higher values (5-7) for accurate prompt following, lower values (3-5) for more creative freedom\n* Inference Steps: More steps (40+) for quality, fewer steps (20-30) for speed"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"LtxVideoImageToVideoInput":{"properties":{"seed":{"description":"The seed to use for random number generation.","anyOf":[{"type":"integer"},{"type":"null"}],"title":"Seed"},"num_inference_steps":{"title":"Number of Inference Steps","default":30,"description":"The number of inference steps to take.","maximum":50,"minimum":1,"type":"integer"},"enable_safety_checker":{"default":true,"description":"Authorized callers may set false to request relaxed screening.","title":"Enable Safety Checker","type":"boolean"},"guidance_scale":{"default":3,"maximum":10,"description":"The guidance scale to use.","exclusiveMinimum":1,"title":"Guidance Scale","type":"number"},"prompt":{"examples":["A lone astronaut in a white spacesuit with gold-tinted visor drifts weightlessly through a sleek, cylindrical corridor of a spaceship. Their movements are slow and graceful as they gently push off the metallic walls with their gloved hands, rotating slightly as they float from right to left across the frame. The corridor features brushed aluminum panels with blue LED strips running along the ceiling, casting a cool glow on the astronaut's suit. Various cables, pipes, and control panels line the walls. The camera follows the astronaut's movement in a handheld style, slightly swaying and adjusting focus, maintaining a medium shot that captures both the astronaut and the corridor's depth. Small particles of dust catch the light as they float in the zero-gravity environment. The scene appears cinematic, with lens flares occasionally reflecting off the metallic surfaces and the astronaut's visor."],"description":"The prompt to generate the video from.","title":"Prompt","type":"string"},"negative_prompt":{"default":"low quality, worst quality, deformed, distorted, disfigured, motion smear, motion artifacts, fused fingers, bad anatomy, weird hand, ugly","description":"The negative prompt to generate the video from.","title":"Negative Prompt","type":"string"},"image_url":{"examples":["https://v3b.fal.media/files/b/0a9f096b/K1kmKVbB5XDufFrz1n1cP_50DK8jif.png"],"description":"The URL of the image to generate the video from.","title":"Image URL","type":"string"}},"x-fal-order-properties":["prompt","negative_prompt","seed","num_inference_steps","guidance_scale","enable_safety_checker","image_url"],"required":["prompt","image_url"],"title":"ImageToVideoInput","type":"object"},"LtxVideoImageToVideoOutput":{"properties":{"seed":{"description":"The seed used for random number generation.","title":"Seed","type":"integer"},"video":{"description":"The generated video.","$ref":"#/components/schemas/File","title":"Video"}},"x-fal-order-properties":["video","seed"],"required":["video","seed"],"title":"Output","type":"object"},"File":{"properties":{"url":{"description":"The URL where the file can be downloaded from.","title":"Url","type":"string"},"file_size":{"examples":[4404019],"description":"The size of the file in bytes.","anyOf":[{"type":"integer"},{"type":"null"}],"title":"File Size"},"content_type":{"examples":["image/png"],"description":"The mime type of the file.","anyOf":[{"type":"string"},{"type":"null"}],"title":"Content Type"},"file_name":{"examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided.","anyOf":[{"type":"string"},{"type":"null"}],"title":"File Name"}},"x-fal-order-properties":["url","content_type","file_name","file_size"],"required":["url"],"title":"File","type":"object"}}},"paths":{"/fal-ai/ltx-video/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-video/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/ltx-video/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LtxVideoImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-video/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LtxVideoImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/ltx-2.3-22b/distilled/image-to-video","metadata":{"display_name":"LTX-2.3 22B Distilled","category":"image-to-video","description":"Generate video with audio from images using LTX-2.3 Distilled","status":"active","tags":[],"updated_at":"2026-10-20T22:09:43.916Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a9289cb/yE3z6Q_sJBywhLxYsyNnB__tmp_b047-ice--phoenix.jpg","model_url":"https://fal.run/fal-ai/ltx-2.3-22b/distilled/image-to-video","license_type":"commercial","date":"2026-03-14T02:10:28.407Z","group":{"key":"ltx-2.3-22b-distilled","label":"Image to Video"},"highlighted":false,"kind":"inference","pinned":false,"training_endpoint_ids":["fal-ai/ltx23-video-trainer"]},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/ltx-2.3-22b/distilled/image-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/ltx-2.3-22b/distilled/image-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/ltx-2.3-22b/distilled/image-to-video","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a9289cb/yE3z6Q_sJBywhLxYsyNnB__tmp_b047-ice--phoenix.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/ltx-2.3-22b/distilled/image-to-video","documentationUrl":"https://fal.ai/models/fal-ai/ltx-2.3-22b/distilled/image-to-video/api","about":"Generate a video from an image and text prompt using distilled LoRA."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"Ltx2322bDistilledImageToVideoInput":{"required":["prompt","image_url"],"type":"object","x-fal-order-properties":["prompt","image_url","end_image_url","num_frames","video_size","generate_audio","use_multiscale","fps","scheduler","acceleration","camera_lora","camera_lora_scale","negative_prompt","seed","enable_prompt_expansion","enable_safety_checker","video_output_type","video_quality","video_write_mode","sync_mode","distill_lora_second_pass_scale","interpolation_direction","image_strength","end_image_strength"],"title":"LTX23DistilledImageToVideoInput","properties":{"negative_prompt":{"type":"string","description":"The negative prompt to generate the video from.","default":"news broadcast, 3d animation, computer graphics, pc game, console game, video game, cartoon, childish, watermark, logo, text, on screen text, subtitles, titles, signature, slowmo, static","title":"Negative Prompt"},"acceleration":{"type":"string","description":"The acceleration level to use.","examples":["none"],"default":"none","enum":["none","regular","high","full"],"title":"Acceleration"},"end_image_strength":{"type":"number","description":"The strength of the end image to use for the video generation.","default":1,"minimum":0,"title":"End Image Strength","maximum":1},"enable_prompt_expansion":{"type":"boolean","description":"Whether to enable prompt expansion.","default":true,"title":"Enable Prompt Expansion"},"num_frames":{"type":"integer","description":"The number of frames to generate.","default":121,"minimum":9,"title":"Number of Frames","maximum":481},"scheduler":{"type":"string","description":"The scheduler to use.","examples":["ltx2"],"default":"ltx2","enum":["ltx2","linear_quadratic","beta"],"title":"Scheduler"},"enable_safety_checker":{"type":"boolean","description":"Whether to enable the safety checker.","default":true,"title":"Enable Safety Checker"},"image_url":{"type":"string","description":"The URL of the image to generate the video from.","examples":["https://storage.googleapis.com/falserverless/example_inputs/ltxv-2-i2v-input.jpg"],"title":"Image URL"},"end_image_url":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The URL of the image to use as the end of the video.","title":"End Image URL"},"distill_lora_second_pass_scale":{"type":"number","description":"The scale of the distill LoRA to use for the second and subsequent passes.","default":0.5,"minimum":0,"title":"Distill Lora Second Pass Scale","maximum":1},"video_quality":{"type":"string","description":"The quality of the generated video.","default":"high","enum":["low","medium","high","maximum"],"title":"Video Quality"},"video_write_mode":{"type":"string","description":"The write mode of the generated video.","default":"balanced","enum":["fast","balanced","small"],"title":"Video Write Mode"},"use_multiscale":{"type":"boolean","description":"Whether to use multi-scale generation. If True, the model will generate the video at a smaller scale first, then use the smaller video to guide the generation of a video at or above your requested size. This results in better coherence and details.","default":true,"title":"Use Multi-Scale"},"camera_lora_scale":{"type":"number","description":"The scale of the camera LoRA to use. This allows you to control the camera movement of the generated video more accurately than just prompting the model to move the camera.","default":1,"minimum":0,"title":"Camera LoRA Scale","maximum":1},"video_size":{"anyOf":[{"$ref":"#/components/schemas/ImageSize"},{"type":"string","enum":["auto","square_hd","square","portrait_4_3","portrait_16_9","landscape_4_3","landscape_16_9"]}],"description":"The size of the generated video.","default":"auto","title":"Video Size"},"prompt":{"type":"string","description":"The prompt used for the generation.","examples":["A woman stands still amid a busy neon-lit street at night. The camera slowly dollies in toward her face as people blur past, their motion emphasizing her calm presence. City lights flicker and reflections shift across her denim jacket."],"title":"Prompt"},"generate_audio":{"type":"boolean","description":"Whether to generate audio for the video.","default":true,"title":"Generate Audio"},"fps":{"type":"number","description":"The frames per second of the generated video.","default":24,"minimum":1,"title":"FPS","maximum":60},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The seed for the random number generator.","title":"Seed"},"image_strength":{"type":"number","description":"The strength of the image to use for the video generation.","default":1,"minimum":0,"title":"Image Strength","maximum":1},"camera_lora":{"type":"string","description":"The camera LoRA to use. This allows you to control the camera movement of the generated video more accurately than just prompting the model to move the camera.","examples":["none"],"default":"none","enum":["dolly_in","dolly_out","dolly_left","dolly_right","jib_up","jib_down","static","none"],"title":"Camera LoRA"},"interpolation_direction":{"type":"string","description":"The direction to interpolate the image sequence in. 'Forward' goes from the start image to the end image, 'Backward' goes from the end image to the start image.","default":"forward","enum":["forward","backward"],"title":"Interpolation Direction"},"video_output_type":{"type":"string","description":"The output type of the generated video.","default":"X264 (.mp4)","enum":["X264 (.mp4)","VP9 (.webm)","PRORES4444 (.mov)","GIF (.gif)"],"title":"Video Output Type"},"sync_mode":{"type":"boolean","description":"If `True`, the media will be returned as a data URI and the output data won't be available in the request history.","default":false,"title":"Sync Mode"}}},"Ltx2322bDistilledImageToVideoOutput":{"required":["video","seed","prompt"],"type":"object","x-fal-order-properties":["video","seed","prompt"],"title":"LTX23ImageToVideoOutput","properties":{"seed":{"type":"integer","description":"The seed used for the random number generator.","examples":[866232447],"title":"Seed"},"prompt":{"type":"string","description":"The prompt used for the generation.","examples":["Continue the scene naturally, maintaining the same style and motion."],"title":"Prompt"},"video":{"$ref":"#/components/schemas/VideoFile","description":"The generated video.","examples":[{"content_type":"video/mp4","height":704,"num_frames":257,"file_name":"CJcQGDrxOSRg2YFl5GNDt_glXPMoji.mp4","fps":25,"duration":10.28,"width":1248,"url":"https://v3b.fal.media/files/b/0a88289e/CJcQGDrxOSRg2YFl5GNDt_glXPMoji.mp4"}]}}},"ImageSize":{"type":"object","x-fal-order-properties":["width","height"],"title":"ImageSize","properties":{"height":{"exclusiveMinimum":0,"type":"integer","description":"The height of the generated image.","default":512,"title":"Height","maximum":14142},"width":{"exclusiveMinimum":0,"type":"integer","description":"The width of the generated image.","default":512,"title":"Width","maximum":14142}}},"VideoFile":{"required":["url"],"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size","width","height","fps","duration","num_frames"],"title":"VideoFile","properties":{"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","examples":["image/png"],"title":"Content Type"},"height":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The height of the video","title":"Height"},"num_frames":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The number of frames in the video","title":"Num Frames"},"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"],"title":"File Name"},"fps":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"The FPS of the video","title":"Fps"},"duration":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"The duration of the video","title":"Duration"},"width":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The width of the video","title":"Width"},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","examples":[4404019],"title":"File Size"},"url":{"type":"string","description":"The URL where the file can be downloaded from.","title":"Url"}}}}},"paths":{"/fal-ai/ltx-2.3-22b/distilled/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-2.3-22b/distilled/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/ltx-2.3-22b/distilled/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx2322bDistilledImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-2.3-22b/distilled/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx2322bDistilledImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/sadtalker","metadata":{"display_name":"Sad Talker","category":"image-to-video","description":"Learning Realistic 3D Motion Coefficients for Stylized Audio-Driven Single Image Talking Face Animation","status":"active","tags":["animation"],"updated_at":"2026-01-26T21:44:52.219Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/gallery/sadtalker.jpeg","model_url":"https://fal.run/fal-ai/sadtalker","github_url":"https://github.com/OpenTalker/SadTalker/blob/main/LICENSE","date":"2024-04-11T00:00:00.000Z","group":{"key":"sadtalker","label":"Standard"},"highlighted":false,"pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/sadtalker","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/sadtalker queue.","x-fal-metadata":{"endpointId":"fal-ai/sadtalker","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/gallery/sadtalker.jpeg","playgroundUrl":"https://fal.ai/models/fal-ai/sadtalker","documentationUrl":"https://fal.ai/models/fal-ai/sadtalker/api","about":"Generate Video"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"SadtalkerInput":{"required":["source_image_url","driven_audio_url"],"type":"object","title":"SadTalkerInput","properties":{"still_mode":{"default":false,"description":"Whether to use still mode. Fewer head motion, works with preprocess `full`.","type":"boolean","title":"Still Mode"},"face_model_resolution":{"enum":["256","512"],"default":"256","description":"The resolution of the face model","type":"string","title":"Face Model Resolution"},"expression_scale":{"minimum":0,"default":1,"description":"The scale of the expression","type":"number","title":"Expression Scale","maximum":3,"multipleOf":0.1},"driven_audio_url":{"description":"URL of the driven audio","type":"string","title":"Driven Audio Url","examples":["https://storage.googleapis.com/falserverless/model_tests/sadtalker/deyu.wav"]},"preprocess":{"enum":["crop","extcrop","resize","full","extfull"],"default":"crop","description":"The type of preprocessing to use","type":"string","title":"Preprocess"},"pose_style":{"minimum":0,"default":0,"description":"The style of the pose","type":"integer","title":"Pose Style","maximum":45},"face_enhancer":{"anyOf":[{"const":"gfpgan","type":"string"},{"type":"null"}],"description":"The type of face enhancer to use","examples":[null],"title":"Face Enhancer"},"source_image_url":{"description":"URL of the source image","type":"string","title":"Source Image Url","examples":["https://storage.googleapis.com/falserverless/model_tests/sadtalker/anime_girl.png"]}},"x-fal-order-properties":["source_image_url","driven_audio_url","pose_style","face_model_resolution","expression_scale","face_enhancer","still_mode","preprocess"]},"SadtalkerOutput":{"required":["video"],"type":"object","title":"SadTalkerOutput","properties":{"video":{"$ref":"#/components/schemas/File","description":"URL of the generated video"}},"x-fal-order-properties":["video"]},"File":{"required":["url"],"type":"object","title":"File","properties":{"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"],"title":"File Name"},"url":{"description":"The URL where the file can be downloaded from.","type":"string","title":"Url"},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","examples":[4404019],"title":"File Size"},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","examples":["image/png"],"title":"Content Type"}},"x-fal-order-properties":["url","content_type","file_name","file_size"]}}},"paths":{"/fal-ai/sadtalker/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/sadtalker/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/sadtalker":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SadtalkerInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/sadtalker/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SadtalkerOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/ltx-2.3-quality/image-to-video","metadata":{"display_name":"Ltx 2.3 Quality","category":"image-to-video","description":"Generate high-quality video with audio from images using LTX-2.3","status":"active","tags":["image-to-video"],"updated_at":"2026-10-20T22:33:30.020Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a9c9802/Lr5CPJbKI-NAWD3pktc1N_pI2mH3QO.png","model_url":"https://fal.run/fal-ai/ltx-2.3-quality/image-to-video","license_type":"commercial","date":"2026-06-01T20:50:00.769Z","group":{"key":"ltx-2.3-quality","label":"Image to Video"},"highlighted":false,"kind":"inference","pinned":false,"training_endpoint_ids":["fal-ai/ltx23-video-trainer"]},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/ltx-2.3-quality/image-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/ltx-2.3-quality/image-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/ltx-2.3-quality/image-to-video","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a9c9802/Lr5CPJbKI-NAWD3pktc1N_pI2mH3QO.png","playgroundUrl":"https://fal.ai/models/fal-ai/ltx-2.3-quality/image-to-video","documentationUrl":"https://fal.ai/models/fal-ai/ltx-2.3-quality/image-to-video/api","about":"Generate a video from a starting image (single-stage distilled)."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"Ltx23QualityImageToVideoInput":{"x-fal-order-properties":["prompt","image_url","num_frames","resolution","frames_per_second","num_inference_steps","guidance_scale","generate_audio","image_strength","negative_prompt","seed","enable_prompt_expansion","enable_safety_checker","video_quality","video_write_mode","sync_mode"],"type":"object","title":"LTX23QualityImageToVideoInput","description":"Image-to-video generation conditioned on a starting frame.","required":["prompt","image_url"],"properties":{"prompt":{"examples":["A woman stands still amid a busy neon-lit street at night. The camera slowly dollies in toward her face as people blur past, their motion emphasizing her calm presence."],"description":"The prompt to guide the video generation.","title":"Prompt","type":"string"},"seed":{"title":"Seed","description":"Random seed for reproducibility. If None, a random seed is chosen.","anyOf":[{"type":"integer"},{"type":"null"}]},"negative_prompt":{"title":"Negative Prompt","default":"color distortion, overexposure, static, blurry details, subtitles, style, artwork, painting, frame, still, dim overall tone, worst quality, low quality, JPEG compression artifacts, ugly, mutilated, extra fingers, poorly drawn hands, poorly drawn face, deformed, disfigured, malformed limbs, fused fingers, motionless frame, cluttered background, three legs, crowded background, walking backwards","description":"The negative prompt to steer generation away from.","type":"string"},"enable_prompt_expansion":{"title":"Enable Prompt Expansion","default":true,"description":"Whether to enable prompt expansion.","type":"boolean"},"video_quality":{"type":"string","title":"Video Quality","default":"high","description":"The quality preset of the generated video.","enum":["low","medium","high","maximum"]},"image_url":{"examples":["https://storage.googleapis.com/falserverless/example_inputs/ltxv-2-i2v-input.jpg"],"description":"The URL of the starting image.","title":"Image URL","type":"string"},"guidance_scale":{"maximum":20,"title":"Guidance Scale","default":1,"minimum":1,"description":"Classifier-free guidance scale. The default is tuned for fast, high-quality generation.","type":"number"},"resolution":{"title":"Resolution","default":"auto","description":"The size of the generated video. 'auto' derives the size from the input image aspect ratio.","anyOf":[{"$ref":"#/components/schemas/ImageSize"},{"type":"string","enum":["auto","square_hd","square","portrait_4_3","portrait_16_9","landscape_4_3","landscape_16_9"]}]},"frames_per_second":{"maximum":60,"title":"FPS","default":24,"minimum":1,"description":"Frames per second of the generated video.","type":"number"},"enable_safety_checker":{"title":"Enable Safety Checker","default":true,"description":"Whether to enable the safety checker.","type":"boolean"},"num_frames":{"description":"The number of frames to generate.","title":"Number of Frames","default":121,"minimum":9,"maximum":481,"type":"integer"},"image_strength":{"maximum":1,"title":"Image Strength","default":0.7,"minimum":0,"description":"Conditioning strength on the start image. 1.0 = exact first-frame match, lower = more freedom for the model.","type":"number"},"sync_mode":{"title":"Sync Mode","default":false,"description":"If True, the media is returned as a data URI inline in the response. Useful for short-lived requests and tests.","type":"boolean"},"num_inference_steps":{"maximum":30,"title":"Number of Inference Steps","default":15,"minimum":8,"description":"Number of inference steps. Defaults to 15 and can be increased up to 30.","type":"integer"},"generate_audio":{"title":"Generate Audio","default":true,"description":"Whether to include audio in the returned video. When disabled, the final MP4 is returned without an audio track.","type":"boolean"},"video_write_mode":{"type":"string","title":"Video Write Mode","default":"balanced","description":"The write mode of the generated video.","enum":["fast","balanced","small"]}}},"Ltx23QualityImageToVideoOutput":{"x-fal-order-properties":["video","seed","prompt"],"type":"object","title":"LTX23QualityOutput","description":"Standard output for every endpoint on this app.","required":["video","seed","prompt"],"properties":{"prompt":{"title":"Prompt","description":"The prompt used for generation (after any expansion).","type":"string"},"video":{"$ref":"#/components/schemas/File","description":"The generated video."},"seed":{"title":"Seed","description":"The seed actually used for generation.","type":"integer"}}},"ImageSize":{"x-fal-order-properties":["width","height"],"type":"object","title":"ImageSize","properties":{"width":{"maximum":14142,"title":"Width","default":512,"description":"The width of the generated image.","exclusiveMinimum":0,"type":"integer"},"height":{"maximum":14142,"title":"Height","default":512,"description":"The height of the generated image.","exclusiveMinimum":0,"type":"integer"}}},"File":{"x-fal-order-properties":["url","content_type","file_name","file_size"],"type":"object","title":"File","required":["url"],"properties":{"file_name":{"examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name","anyOf":[{"type":"string"},{"type":"null"}]},"file_size":{"examples":[4404019],"description":"The size of the file in bytes.","title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}]},"content_type":{"examples":["image/png"],"description":"The mime type of the file.","title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}]},"url":{"title":"Url","description":"The URL where the file can be downloaded from.","type":"string"}}}}},"paths":{"/fal-ai/ltx-2.3-quality/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-2.3-quality/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/ltx-2.3-quality/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx23QualityImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-2.3-quality/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx23QualityImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/pixverse/v4.5/image-to-video","metadata":{"display_name":"PixVerse V4.5 Image To Video","category":"image-to-video","description":"Generate high quality video clips from text and image prompts using PixVerse v4.5","status":"active","tags":["stylized","transform"],"updated_at":"2026-10-20T22:12:54.753Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/fal_cdn/fal/Upscale-2.jpg","model_url":"https://fal.run/fal-ai/pixverse/v4.5/image-to-video","license_type":"commercial","date":"2025-05-15T15:53:06.944Z","group":{"key":"pixverse-45","label":"Image to Video v4.5"},"highlighted":false,"kind":"inference","duration_estimate":1,"pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/pixverse/v4.5/image-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/pixverse/v4.5/image-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/pixverse/v4.5/image-to-video","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/fal_cdn/fal/Upscale-2.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/pixverse/v4.5/image-to-video","documentationUrl":"https://fal.ai/models/fal-ai/pixverse/v4.5/image-to-video/api","about":"Image To Video V4 5"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"PixverseV45ImageToVideoInput":{"x-fal-order-properties":["prompt","resolution","duration","negative_prompt","style","seed","image_url","camera_movement","enable_safety_checker"],"properties":{"duration":{"default":"5","description":"The duration of the generated video in seconds. 8s videos cost double. 1080p videos are limited to 5 seconds","type":"string","title":"Duration","enum":["5","8"]},"enable_safety_checker":{"default":true,"type":"boolean","title":"Enable Safety Checker","description":"Authorized callers may set false to request relaxed screening."},"camera_movement":{"title":"Camera Movement","anyOf":[{"type":"string","enum":["horizontal_left","horizontal_right","vertical_up","vertical_down","zoom_in","zoom_out","crane_up","quickly_zoom_in","quickly_zoom_out","smooth_zoom_in","camera_rotation","robo_arm","super_dolly_out","whip_pan","hitchcock","left_follow","right_follow","pan_left","pan_right","fix_bg"]},{"type":"null"}],"description":"The type of camera movement to apply to the video"},"resolution":{"default":"720p","description":"The resolution of the generated video","type":"string","title":"Resolution","enum":["360p","540p","720p","1080p"]},"style":{"title":"Style","anyOf":[{"type":"string","enum":["anime","3d_animation","clay","comic","cyberpunk"]},{"type":"null"}],"description":"The style of the generated video"},"negative_prompt":{"default":"","examples":["blurry, low quality, low resolution, pixelated, noisy, grainy, out of focus, poorly lit, poorly exposed, poorly composed, poorly framed, poorly cropped, poorly color corrected, poorly color graded"],"type":"string","title":"Negative Prompt","description":"Negative prompt to be used for the generation. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap."},"prompt":{"examples":["A woman warrior with her hammer walking with his glacier wolf."],"type":"string","title":"Prompt","description":"Text prompt for the video generation. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap."},"seed":{"title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}],"description":"\n            The same seed and the same prompt given to the same version of the model\n            will output the same video every time.\n        "},"image_url":{"examples":["https://v3.fal.media/files/zebra/qL93Je8ezvzQgDOEzTjKF_KhGKZTEebZcDw6T5rwQPK_output.png"],"type":"string","title":"Image Url","description":"URL of the image to use as the first frame"}},"required":["prompt","image_url"],"title":"ImageToVideoRequestV4","type":"object"},"PixverseV45ImageToVideoOutput":{"x-fal-order-properties":["video"],"properties":{"video":{"examples":[{"content_type":"video/mp4","file_name":"output.mp4","file_size":6420765,"url":"https://fal.media/files/koala/HEWK7BBwqWrz7F5nAZzp7_output.mp4"}],"$ref":"#/components/schemas/File","description":"The generated video"}},"required":["video"],"title":"I2VOutputV4","type":"object"},"File":{"x-fal-order-properties":["url","content_type","file_name","file_size"],"properties":{"content_type":{"examples":["image/png"],"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file."},"url":{"type":"string","title":"Url","description":"The URL where the file can be downloaded from."},"file_size":{"examples":[4404019],"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes."},"file_name":{"examples":["z9RV14K95DvU.png"],"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided."}},"required":["url"],"title":"File","type":"object"}}},"paths":{"/fal-ai/pixverse/v4.5/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v4.5/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/pixverse/v4.5/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV45ImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v4.5/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV45ImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/longcat-video/distilled/image-to-video/720p","metadata":{"display_name":"LongCat Video Distilled","category":"image-to-video","description":"Generate long videos in 720p/30fps from images using LongCat Video Distilled","status":"active","tags":[],"updated_at":"2026-01-26T21:42:29.721Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/lion/PlEcqdZVUsm3jFXpUPvvT_5da6319dbf674dffbea088eaa87a979c.jpg","model_url":"https://fal.run/fal-ai/longcat-video/distilled/image-to-video/720p","license_type":"commercial","date":"2025-10-30T14:43:43.650Z","group":{"key":"longcat-distilled","label":"Image to Video (720p)"},"highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/longcat-video/distilled/image-to-video/720p","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/longcat-video/distilled/image-to-video/720p queue.","x-fal-metadata":{"endpointId":"fal-ai/longcat-video/distilled/image-to-video/720p","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/lion/PlEcqdZVUsm3jFXpUPvvT_5da6319dbf674dffbea088eaa87a979c.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/longcat-video/distilled/image-to-video/720p","documentationUrl":"https://fal.ai/models/fal-ai/longcat-video/distilled/image-to-video/720p/api","about":"Generate a video from a video."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"LongcatVideoDistilledImageToVideo720pInput":{"properties":{"num_inference_steps":{"default":12,"description":"The number of inference steps to use.","type":"integer","maximum":16,"title":"Number of Inference Steps","minimum":2},"enable_prompt_expansion":{"default":false,"type":"boolean","title":"Enable Prompt Expansion","description":"Whether to enable prompt expansion."},"enable_safety_checker":{"default":true,"type":"boolean","title":"Enable Safety Checker","description":"Whether to enable safety checker. Disabling it requires account authorization; unauthorized requests are always checked."},"fps":{"default":30,"description":"The frame rate of the generated video.","type":"integer","maximum":60,"title":"FPS","minimum":1},"video_write_mode":{"default":"balanced","type":"string","description":"The write mode of the generated video.","title":"Video Write Mode","enum":["fast","balanced","small"]},"sync_mode":{"default":false,"type":"boolean","title":"Sync Mode","description":"If `True`, the media will be returned as a data URI and the output data won't be available in the request history."},"num_frames":{"default":162,"description":"The number of frames to generate.","maximum":961,"type":"integer","title":"Number of Frames","minimum":17},"prompt":{"default":"First-person view from the cockpit of a Formula 1 car. The driver's gloved hands firmly grip the intricate, carbon-fiber steering wheel adorned with numerous colorful buttons and a vibrant digital display showing race data. Beyond the windshield, a sun-drenched racetrack stretches ahead, lined with cheering spectators in the grandstands. Several rival cars are visible in the distance, creating a dynamic sense of competition. The sky above is a clear, brilliant blue, reflecting the exhilarating atmosphere of a high-speed race. high resolution 4k","description":"The prompt to guide the video generation.","examples":["First-person view from the cockpit of a Formula 1 car. The driver's gloved hands firmly grip the intricate, carbon-fiber steering wheel adorned with numerous colorful buttons and a vibrant digital display showing race data. Beyond the windshield, a sun-drenched racetrack stretches ahead, lined with cheering spectators in the grandstands. Several rival cars are visible in the distance, creating a dynamic sense of competition. The sky above is a clear, brilliant blue, reflecting the exhilarating atmosphere of a high-speed race. high resolution 4k"],"title":"Prompt","type":"string"},"video_quality":{"default":"high","type":"string","description":"The quality of the generated video.","title":"Video Quality","enum":["low","medium","high","maximum"]},"num_refine_inference_steps":{"default":12,"description":"The number of inference steps to use for refinement.","type":"integer","maximum":16,"title":"Number of Refinement Inference Steps","minimum":2},"video_output_type":{"default":"X264 (.mp4)","type":"string","description":"The output type of the generated video.","title":"Video Output Type","enum":["X264 (.mp4)","VP9 (.webm)","PRORES4444 (.mov)","GIF (.gif)"]},"image_url":{"examples":["https://v3b.fal.media/files/b/zebra/trXRsbjJwy4Z3OEgbnB9a.jpg"],"type":"string","title":"Image URL","description":"The URL of the image to generate a video from."},"seed":{"title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}],"description":"The seed for the random number generator."}},"x-fal-order-properties":["image_url","prompt","num_frames","num_inference_steps","num_refine_inference_steps","fps","seed","enable_prompt_expansion","enable_safety_checker","video_output_type","video_quality","video_write_mode","sync_mode"],"required":["image_url"],"title":"LongCat720PImageToVideoRequest","type":"object"},"LongcatVideoDistilledImageToVideo720pOutput":{"properties":{"prompt":{"examples":["First-person view from the cockpit of a Formula 1 car. The driver's gloved hands firmly grip the intricate, carbon-fiber steering wheel adorned with numerous colorful buttons and a vibrant digital display showing race data. Beyond the windshield, a sun-drenched racetrack stretches ahead, lined with cheering spectators in the grandstands. Several rival cars are visible in the distance, creating a dynamic sense of competition. The sky above is a clear, brilliant blue, reflecting the exhilarating atmosphere of a high-speed race. high resolution 4k"],"type":"string","title":"Prompt","description":"The prompt used for generation."},"video":{"examples":[{"content_type":"video/mp4","url":"https://v3b.fal.media/files/b/panda/4-MoAje_CCMAGH8d-9kmA_nQEkcRc2.mp4"}],"$ref":"#/components/schemas/File","description":"The generated video file."},"seed":{"examples":[916581],"type":"integer","title":"Seed","description":"The seed used for generation."}},"x-fal-order-properties":["prompt","seed","video"],"required":["prompt","seed","video"],"title":"LongCatImageToVideoResponse","type":"object"},"File":{"properties":{"content_type":{"examples":["image/png"],"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file."},"file_name":{"examples":["z9RV14K95DvU.png"],"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided."},"file_size":{"examples":[4404019],"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes."},"url":{"type":"string","title":"Url","description":"The URL where the file can be downloaded from."}},"x-fal-order-properties":["url","content_type","file_name","file_size"],"required":["url"],"title":"File","type":"object"}}},"paths":{"/fal-ai/longcat-video/distilled/image-to-video/720p/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/longcat-video/distilled/image-to-video/720p/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/longcat-video/distilled/image-to-video/720p":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LongcatVideoDistilledImageToVideo720pInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/longcat-video/distilled/image-to-video/720p/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LongcatVideoDistilledImageToVideo720pOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/vidu/q2/image-to-video/turbo","metadata":{"display_name":"Vidu","category":"image-to-video","description":"Use the latest Vidu Q2 models which much more better quality and control on your videos.","status":"active","tags":["image-to-video"],"updated_at":"2026-10-20T22:36:46.429Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/monkey/pV-tsWf3pDIWfSzE8Y8QD_405c6376ad454bdd9aec52cfcc23a97e.jpg","model_url":"https://fal.run/fal-ai/vidu/q2/image-to-video/turbo","license_type":"commercial","date":"2025-10-24T09:28:39.019Z","highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/vidu/q2/image-to-video/turbo","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/vidu/q2/image-to-video/turbo queue.","x-fal-metadata":{"endpointId":"fal-ai/vidu/q2/image-to-video/turbo","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/monkey/pV-tsWf3pDIWfSzE8Y8QD_405c6376ad454bdd9aec52cfcc23a97e.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/vidu/q2/image-to-video/turbo","documentationUrl":"https://fal.ai/models/fal-ai/vidu/q2/image-to-video/turbo/api","about":"Q2 Image To Video Turbo"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"ViduQ2ImageToVideoTurboInput":{"required":["prompt","image_url"],"type":"object","x-fal-order-properties":["enable_safety_checker","prompt","image_url","end_image_url","seed","duration","resolution","movement_amplitude","bgm"],"properties":{"image_url":{"description":"URL of the image to use as the starting frame","type":"string","title":"Image Url","examples":["https://storage.googleapis.com/falserverless/web-examples/vidu/stylish_woman.webp"]},"bgm":{"default":false,"description":"Whether to add background music to the video (only for 4-second videos)","type":"boolean","title":"Bgm"},"end_image_url":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"URL of the image to use as the ending frame. When provided, generates a transition video between start and end frames.","title":"End Image Url"},"resolution":{"enum":["720p","1080p"],"default":"720p","description":"Output video resolution","type":"string","title":"Resolution"},"enable_safety_checker":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":true,"description":"Enable safety checks; disabling requires authorization.","title":"Enable Safety Checker","hidden":true},"movement_amplitude":{"enum":["auto","small","medium","large"],"default":"auto","description":"The movement amplitude of objects in the frame","type":"string","title":"Movement Amplitude"},"prompt":{"examples":["A woman walking through a vibrant city street at night, neon lights reflecting off wet pavement."],"type":"string","maxLength":3000,"description":"Text prompt for video generation, max 3000 characters","title":"Prompt"},"duration":{"enum":[2,3,4,5,6,7,8],"default":4,"description":"Duration of the video in seconds","type":"integer","title":"Duration"},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Random seed for reproducibility. If None, a random seed is chosen.","title":"Seed"}},"title":"Q2ImageToVideoRequest"},"ViduQ2ImageToVideoTurboOutput":{"required":["video"],"type":"object","x-fal-order-properties":["video"],"properties":{"video":{"$ref":"#/components/schemas/File","examples":[{"url":"https://fal.media/files/tiger/L_lU76tYg-cXG_twy9N62_output.mp4"}],"description":"The generated video from image using the Q2 model"}},"title":"Q2ImageToVideoOutput"},"File":{"required":["url"],"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"],"properties":{"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"],"title":"File Name"},"url":{"description":"The URL where the file can be downloaded from.","type":"string","title":"Url"},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","examples":[4404019],"title":"File Size"},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","examples":["image/png"],"title":"Content Type"}},"title":"File"}}},"paths":{"/fal-ai/vidu/q2/image-to-video/turbo/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/vidu/q2/image-to-video/turbo/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/vidu/q2/image-to-video/turbo":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ViduQ2ImageToVideoTurboInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/vidu/q2/image-to-video/turbo/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ViduQ2ImageToVideoTurboOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"pixelcut/looping-video","metadata":{"display_name":"Pixelcut Looping Video","category":"image-to-video","description":"Turn one product photo into a seamless 5 to 15 second video loop with a locked camera, subtle ambient motion or a full 360° spin.","status":"active","tags":["image-to-video","looping","e-commerce","product"],"updated_at":"2026-10-20T22:39:49.229Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0aac5f92/G8yz80a0dhfYgF2taF6YC.jpg","model_url":"https://fal.run/pixelcut/looping-video","license_type":"commercial","date":"2026-09-29T13:50:56.366Z","highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for pixelcut/looping-video","version":"1.0.0","description":"The OpenAPI schema for the pixelcut/looping-video queue.","x-fal-metadata":{"endpointId":"pixelcut/looping-video","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0aac5f92/G8yz80a0dhfYgF2taF6YC.jpg","playgroundUrl":"https://fal.ai/models/pixelcut/looping-video","documentationUrl":"https://fal.ai/models/pixelcut/looping-video/api","about":"Generate"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"LoopingVideoInput":{"required":["image_url"],"type":"object","title":"LoopingVideoInput","x-fal-order-properties":["image_url","prompt","duration","resolution","motion","include_audio"],"properties":{"duration":{"maximum":15,"minimum":5,"type":"integer","default":5,"title":"Duration","description":"Video duration in seconds"},"include_audio":{"description":"Keep the generated audio track (off by default; the loop is silent)","type":"boolean","title":"Include Audio","default":false},"image_url":{"type":"string","examples":["https://cdn3.pixelcut.app/fal/looping-video/model.jpg","https://cdn3.pixelcut.app/fal/looping-video/shirt.jpg"],"title":"Image Url","description":"Input image the video starts and ends on (JPEG, PNG, or WebP)"},"motion":{"description":"Motion style: 'subtle' for gentle ambient movement, 'spin' for one full 360° revolution ending on the source frame","type":"string","enum":["subtle","spin"],"title":"Motion","default":"subtle"},"prompt":{"description":"Optional creative direction for the motion. Camera stays locked regardless.","type":"string","title":"Prompt","maxLength":4000,"default":""},"resolution":{"description":"Output resolution","type":"string","enum":["480p","768p","1080p"],"title":"Resolution","default":"1080p"}}},"LoopingVideoOutput":{"type":"object","title":"LoopingVideoOutput","x-fal-order-properties":["video"],"properties":{"video":{"anyOf":[{"$ref":"#/components/schemas/Video"},{"type":"null"}],"examples":[{"url":"https://cdn3.pixelcut.app/fal/looping-video/model.mp4","content_type":"video/mp4"},{"url":"https://cdn3.pixelcut.app/fal/looping-video/shirt.mp4","content_type":"video/mp4"}],"description":"Looping MP4 that starts and ends on the input image"}}},"Video":{"required":["url"],"type":"object","title":"Video","x-fal-order-properties":["url","content_type","file_name","file_size"],"properties":{"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"title":"File Size","description":"The size of the file in bytes."},"url":{"type":"string","title":"Url","description":"The URL where the file can be downloaded from."},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"title":"Content Type","description":"The mime type of the file."},"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"title":"File Name","description":"The name of the file. It will be auto-generated if not provided."}}}}},"paths":{"/pixelcut/looping-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/pixelcut/looping-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/pixelcut/looping-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoopingVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/pixelcut/looping-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoopingVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"minimax/h3/image-to-video/lora","metadata":{"display_name":"MiniMax H3 Image to Video LoRA","category":"image-to-video","description":"Images into video with synchronized audio using MiniMax H3; your image becomes the first frame, prompt optional, with trained LoRA support for subject consistency.","status":"active","tags":["utility","editing"],"updated_at":"2026-08-25T17:43:52.103Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0aa4c825/EewvNmxzIkXlC4vNqsPgi.jpg","model_url":"https://fal.run/minimax/h3/image-to-video/lora","license_type":"commercial","date":"2026-08-02T23:27:10.009Z","group":{"key":"hailuo-03-lora","label":"Image to Video LoRA"},"highlighted":false,"kind":"inference","pinned":false,"training_endpoint_ids":["minimax/h3/flf2v/trainer","minimax/h3/i2v/trainer"]},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for minimax/h3/image-to-video/lora","version":"1.0.0","description":"The OpenAPI schema for the minimax/h3/image-to-video/lora queue.","x-fal-metadata":{"endpointId":"minimax/h3/image-to-video/lora","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0aa4c825/EewvNmxzIkXlC4vNqsPgi.jpg","playgroundUrl":"https://fal.ai/models/minimax/h3/image-to-video/lora","documentationUrl":"https://fal.ai/models/minimax/h3/image-to-video/lora/api","about":"Image-text-to-video with LoRA: ``image_url`` optional; text-only routes to t2v/lora."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"H3ImageToVideoLoraInput":{"x-fal-order-properties":["prompt","duration","resolution","seed","enable_safety_checker","sync_mode","prompt_expansion_mode","target_audio_url","image_url","end_image_url","loras"],"properties":{"duration":{"default":5,"type":"integer","minimum":5,"description":"The duration of the video in seconds.","title":"Duration","maximum":15},"enable_safety_checker":{"default":true,"type":"boolean","title":"Enable Safety Checker","description":"If set to true, the safety checker will be enabled."},"prompt_expansion_mode":{"examples":["disabled","fast","balanced","quality"],"anyOf":[{"type":"string"},{"type":"null"}],"default":"balanced","title":"Prompt Expansion Mode","description":"How much effort to spend rewriting the prompt before generation. 'disabled' skips prompt expansion. 'fast' returns in about a second. 'balanced' picks per request. 'quality' spends up to ~30s on a richer prompt."},"end_image_url":{"title":"End Image URL","anyOf":[{"type":"string"},{"type":"null"}],"description":"Optional URL of the image to use as the last frame. It may be provided alone for end-only keyframe generation; in that case the output canvas follows this image."},"target_audio_url":{"title":"Target Audio URL","anyOf":[{"pattern":"\\S","minLength":1,"type":"string"},{"type":"null"}],"description":"Optional URL of an audio clip at least 2 seconds long (maximum 15 MB) to pin to the generated soundtrack. Longer clips are trimmed to the generated video's length, keeping the beginning. The original audio replaces the output soundtrack, padded with silence if shorter than the video, without changing playback speed. Exceptionally high sample rates may be resampled to 96 kHz. Accepts an HTTP(S) URL or a base64 data URI."},"prompt":{"examples":["The camera slowly pulls back from the scene, revealing the full landscape as clouds drift overhead and light shifts across the terrain."],"type":"string","title":"Prompt","minLength":1,"maxLength":50000,"description":"Text prompt for video generation"},"sync_mode":{"default":false,"type":"boolean","title":"Sync Mode","description":"Return the generated video as base64 instead of a CDN URL."},"resolution":{"default":"2K","type":"string","enum":["480P","768P","2K","4K"],"title":"Resolution","description":"The resolution of the generated video. 480P and 768P are native generation modes; 2K and 4K upscale a 768P base result."},"seed":{"title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}],"description":"Random seed. A random seed is selected when omitted."},"image_url":{"examples":["https://storage.googleapis.com/falserverless/example_inputs/hailuo23/pro_i2v_in.jpg"],"title":"Image URL","anyOf":[{"type":"string"},{"type":"null"}],"description":"Optional URL of the image to use as the first frame. When provided, the output canvas follows this image. If only end_image_url is provided, the canvas follows that last frame instead. If both images are omitted, the request is handled as text-to-video (16:9 by default)."},"loras":{"type":"array","minItems":1,"items":{"$ref":"#/components/schemas/LoRAInput"},"maxItems":3,"title":"Loras","description":"List of LoRA adapters to apply to the transformer."}},"required":["prompt","loras"],"title":"ImageToVideoHailuo03LoRAInput","type":"object"},"H3ImageToVideoLoraOutput":{"x-fal-order-properties":["video","expanded_prompt"],"properties":{"expanded_prompt":{"title":"Expanded Prompt","anyOf":[{"type":"string"},{"type":"null"}],"description":"The prompt after expansion, as sent to the model. Null when prompt expansion was disabled, left the prompt unchanged, or was performed internally by MiniMax's hosted API."},"video":{"$ref":"#/components/schemas/File","description":"The generated video"}},"required":["video"],"title":"ImageToVideoHailuo03Output","type":"object"},"LoRAInput":{"x-fal-order-properties":["path","weight_name","scale"],"properties":{"scale":{"default":1,"minimum":0,"type":"number","maximum":4,"title":"Scale","description":"Strength of the LoRA (0.0 to 4.0)."},"path":{"examples":["https://huggingface.co/owner/repo/resolve/main/lora.safetensors"],"type":"string","title":"Path","description":"URL or HuggingFace repo id (owner/repo) of the LoRA weights."},"weight_name":{"title":"Weight Name","anyOf":[{"type":"string"},{"type":"null"}],"description":"Name of the LoRA weight file. Only used when `path` is a HuggingFace repo and it holds more than one LoRA."}},"type":"object","required":["path"],"title":"LoRAInput","description":"A single LoRA adapter to apply to the transformer."},"File":{"x-fal-order-properties":["url","content_type","file_name","file_size"],"properties":{"file_name":{"title":"File Name","description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}]},"url":{"title":"Url","description":"The URL where the file can be downloaded from.","type":"string"},"content_type":{"title":"Content Type","description":"The mime type of the file.","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}]},"file_size":{"title":"File Size","description":"The size of the file in bytes.","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}]}},"title":"File","required":["url"],"type":"object"}}},"paths":{"/minimax/h3/image-to-video/lora/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/minimax/h3/image-to-video/lora/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/minimax/h3/image-to-video/lora":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/H3ImageToVideoLoraInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/minimax/h3/image-to-video/lora/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/H3ImageToVideoLoraOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}}],"next_cursor":"MTM","has_more":true}
